# Administration Reference

## vos apropos

Purpose

Displays each help entry containing a keyword string

Synopsis

    vos apropos -topic <help string>  [-help]

    vos ap -t <help string>  [-h]

Description

The vos apropos command displays the first line of the online help entry for any vos command that has in its name or short description the string specified by the -topic argument.

To display the syntax for a command, use the vos help command.

Options

-topic
  Specifies the keyword string to match. Use lowercase letters only, except for the acronym VLDB. If the string is more than a single word, surround it with double quotes ("") or other delimiters.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of a command's online help entry names it and briefly describes its function. This command displays the first line for any vos command where the string specified with the -topic argument is part of the command name or first line.

Examples

The following command displays all vos commands that include the word lock in their names or short descriptions:

       % vos apropos lock
       lock: lock VLDB entry for a volume
       unlock: release lock on VLDB entry for a volume
       unlockvldb: unlock all the locked entries in the VLDB

Privilege Required

None

Related Information

vos

vos help

© IBM Corporation 2000. All Rights Reserved